<html><head><title>列出所有院系</title>
<meta http-equiv=content-language content=zh-cn>
<meta http-equiv=content-type content="text/html; charset=gb2312">
<LINK href="../CSS/Base.css" rel=stylesheet>
<link href="../CSS/Common.css" rel="stylesheet" type="text/css"/>
<link href="../CSS/Tab.css" rel="stylesheet" type="text/css"/>
<script language="javascript"> 
function checkall(form) 
{
	if( form.all.checked)
	{
		for(var i = 0;i < form.elements.length-1; i++) 
		{
			var e = form.elements[i];
			e.checked = true;
		}
	}
	else
	{
		for(var i = 0;i < form.elements.length-1; i++) 
		{
			var e = form.elements[i];
			e.checked = false;
		}
    }
}
function refreshParent(returnVal) {
   //self.location.replace(self.location.href);
   self.location.reload();
   parent.AjaxDataListRequest('../DHTMLTree/TreeData.php');
}
function CheckSpecicalChar(objField, strText)
{
	var strErr = "“" + strText + "”不能包含单引号、双引号、反斜线、小于号、大于号、和符号等非法字符！";
	var Re = /[\x22\x27\x5C\x3C\x3E\x26]+/ig;
	if ( Re.test(objField.value))
	{
		alert(strErr);
        objField.focus();
		return false;
	}
	return true;
}
function Check_Form_Validator()
{
	if (!CheckSpecicalChar(Check_Form.gradeName_new, "新增的专业名称")) {return false;}
	var the_Last_Order_No = document.getElementById("last_order").value;
	for(i=1;i<=the_Last_Order_No;i++)
	{
		objField = eval("document.getElementById('gradeName_" + i + "')");
		if( objField != null )
		{
			if (!CheckSpecicalChar(objField, "专业名称")) {return false;}
		}
	}
}
</script>
<script language=javascript src="../JS/HighLight.js.php"></script>
<META content="MSHTML 6.00.3790.0" name=GENERATOR></HEAD>
<body oncontextmenu="return false" style="margin-top:0px">

<div id="tabs1"> 
    <ul> 
        <li id="current"><a href="GradesSeting.php?depid={departmentID}"><span>定义所属专业</span></a></li> 
        <li><a href="StudentsDepList.php?depid={departmentID}"><span>院系学生名单</span></a></li> 
    </ul> 
</div> 

<div style="line-height:10px">&nbsp;</div>
<div class="wrap q_clear" id=wrap>
<div>
<div>
<div class=q_clear id=myheadertext><h1>列出<span class=red>[{nodeName}]</span>院系下所属专业名单</h1><p class=recnumclass>[ <span class=red>{recNum}</span> 记录 ]</p>&nbsp;&nbsp;<br/></div>
<div id=myname style="margin-top:15px"></div>
<div class="datalist">

<form name="Check_Form" method="post" action="" onsubmit="return Check_Form_Validator(this)">
<table class=datatable id="datatable" cellspacing=0 cellpadding=0>
     <tr class=coltitle> 
        <td width=8% noWrap align=center><input name="all" type="checkbox" id="all" value="all" onclick="checkall(this.form)" style="BACKGROUND-COLOR:#f5f5f5"></td>
        <td width="80%"><strong>专业名称</strong></td>
        <td align="center"><strong>操作</strong></td>
     </tr>

     <!-- BEGIN GROUPS -->
     <tr> 
        <td align=center><input name="ID[]" type="checkbox" id="ID[]" value="{ID}"></td>
        <td>&nbsp;<input name="gradeName[{ID}]" type="text" id="gradeName_{orderno}" value="{gradeName}" size=60></td>
        <td align=center> <a href="{memberURL}">成员({membersNum})</a></td>
     </tr>
     <!-- END GROUPS -->   
	 <tr> 
           <td noWrap>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>新增</b></td>
           <td noWrap colspan=2>&nbsp;<input name="gradeName_new" type="text" size=60></td>
     </tr>
	 </table>
	 <table style="border:0px;" id="datatable" cellspacing=0 cellpadding=0>
	   <tr><td style="border:0px;" align=center>
	   <input name="last_order" id="last_order" value="{last_order}" type="hidden">
	   <input name="departmentID" id="departmentID" value="{departmentID}" type="hidden">
	   <input class=inputsubmit type="submit" name="UpdateSubmit" id="UpdateSubmit" value="数据提交"></td></tr>
   </table>
   </form>
   <table style="border:0px;" id="datatable" cellspacing=0 cellpadding=0>
    <tr><td style="padding-left:0px;border:0px;">
	<IMG SRC="../Images/clerk.gif">：注意“专业名称”前的选择框，选中后点击“数据提交”表明删除该条记录；<br>
	<IMG SRC="../Images/clerk.gif">：数据的修改和新增只需要在对应的输入框直接修改或输入，完毕后点击“数据提交”即可。
	</td></tr>
 </table>
</div>
</div></div></div>
</body></html>
 <script type="text/javascript">initInputHighlightScript();</script> 
</body></html>
